Bug 502692 - (mingw32-libatomic_ops) Review Request: mingw32-libatomic_ops - MinGW Windows port of the libatomic_ops library
Review Request: mingw32-libatomic_ops - MinGW Windows port of the libatomic_o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 19:26 EDT by Nicolas Chauvet (kwizart)
Modified: 2013-12-04 10:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-17 06:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-05-26 19:26:33 EDT
Spec URL:
http://kwizart.fedorapeople.org/review/mingw32-libatomic_ops.spec
SRPM URL: http://kwizart.fedorapeople.org/review/mingw32-libatomic_ops-1.2-1.fc10.src.rpm
Description: MinGW Windows libatomic_ops compression library.
Comment 1 Erik van Pienbroek 2009-07-01 04:28:21 EDT
- Please change the %define tags at the top of the spec file with %global (because of http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define )
- What does the patch libatomic_ops-1.2-ppclwzfix.patch do? According to the filename I think it's some ppc-specific fix which doesn't have any effect on Win32
- Is it true that this package only provides a static library and no shared library (.dll) ? If that's the case, some special exceptions apply: http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries (however, we may need to interpret these slightly different as we don't use -devel subpackages)
- The version number in the ChangeLog doesn't match the version specified in the Version and Release tags
Comment 2 Nicolas Chauvet (kwizart) 2009-07-01 06:12:06 EDT
Thx for the review:

Spec URL:
http://kwizart.fedorapeople.org/review/mingw32-libatomic_ops.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/mingw32-libatomic_ops-1.2-2.fc11.src.rpm
Description: MinGW Windows port of the libatomic_ops library

Changelog:
---------
- Drop the powerpc patch
- Move to %%global from %%define
- Provides -static as there is only one static library
- Rsync with native package (Fix the License tag)
Comment 3 Erik van Pienbroek 2009-07-05 08:07:37 EDT
The URL http://kwizart.fedorapeople.org/review/mingw32-libatomic_ops-1.2-2.fc11.src.rpm gives me a 404 right now
Comment 4 Nicolas Chauvet (kwizart) 2009-07-06 20:10:23 EDT
(In reply to comment #3)
> gives me a 404 right now  
fixed, I've re-organized the review queue on my fpeople.org

Note: the native Fedora package has been orphaned and remains as such until now. I think there is a plan to have it merged with gc. I may drop this package then.
(And with advices from the gc native package maintainer).
Comment 5 Erik van Pienbroek 2009-07-17 06:11:21 EDT
Do you still want me to review this package (as the native one has been orphaned) ?
Comment 6 Nicolas Chauvet (kwizart) 2009-07-17 06:21:10 EDT
I've made a working (building, no runtime test yet). mingw32-gc package.
The problem is that's the 9.2 alpha release.

I don't remember which mingw32 package I haven't yet submitted will requires mingw32-libatomic_ops, so that can wait a little for gc 9.2 to move to stable from upstream.

So yes, the plan is to have it merged with gc.
Comment 7 Nicolas Chauvet (kwizart) 2009-07-17 06:32:39 EDT
For the record, mingw32-gcc has been submitted as #512323

Note You need to log in before you can comment on or make changes to this bug.